/*
 Theme Name:   OPAC
 Description:  Le thème Wordpress OPAC est dédié à la promotion et à la communication de l'association culturelle l'OPAC. OPAC est un thème enfant de BusiProf.
 Author:       Guil Gski
 Template:     busiprof
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

/*
****************************************************************************************
MENU :
1- MENU PRINCIPAL
2- PAGE D'ACCUEIL
3- PAGE TABLEAUX
4- PAGE ACCESS
5- ARTICLES
6- FOOTER
7- PAGES Les ateliers et Les stages
8- PAGES AUTRES PAGE D'ACCUEIL
9- MEDIA QUERIES
****************************************************************************************
*/

/*
****************************************************************************************
1- MENU PRINCIPAL
****************************************************************************************
*/
.navbar-default .navbar-nav > li > a{
	padding-right: 10px !important;
	padding-left: 10px !important;
}

/*fixation du menu*/
.navbar-default{
	position: fixed !important;
	width: auto;
	top: 0;
	left: 0;
	right: 0;
	z-index: 99995;
}

/* #main pour page accueil, .page-header pour les autres */
#main, .page-header{
	margin-top: 150px !important; /*bf:100px*/
}

/*animation logo image*/
.navbar-brand > img.logo_imgae{
	transition-duration: 1s;
}

.navbar-brand > img.logo_imgae:hover{
    transform: rotate(-360deg);
    -webkit-transform: rotate(-360deg);
}

/*
****************************************************************************************
2- PAGE D'ACCUEIL
****************************************************************************************
*/
/*section en-tête*/
/*coloration discrète de l'arrière-plan si apparent*/
.slides{
	background-color: #f7f7f7;
}
/*centrage de l'image*/
.slides li img{
	margin:auto;
}
/*cadre du texte de l'en-tête*/
.slides .slide-caption{
	box-shadow: 1px 2px 5px 0px black;
	transition-duration: 1s;
}
.slides .slide-caption:hover{
	box-shadow: 1px 2px 25px 0px rgba(255,255,255,0.5);  
}

/*Section Blog*/
section[class="home-post-latest"]{
	background-color: #f7f7f7;
}
/*section Services*/
section[class="service"] .post:hover {
	box-shadow: 1px 2px 15px 0px #C1C1BF;    
}

/*section projets*/ 
.portfolio .post, .portfolio .post img{
	transition-duration: 0.3s;
}

.portfolio .post:hover{
	box-shadow: 1px 2px 15px 0px #C1C1BF;
}

.portfolio .post img:hover{
	transform:scale(1.05);
	-webkit-transform:scale(1.05);
}

/*sections service et projets*/
#section:nth-of-type(3) {
  background-color: #23282d;
}
#section:nth-of-type(3) h1{
  color: white !important;
}
#section:nth-of-type(4) {
  background-color: #f7f7f7; 
}

/*page accueil et page Actus*/
/*titre de l'article*/
.site-content .entry-header .entry-title, .home-post-latest .post .entry-header .entry-title{
	background-color:#5ca2df; 
	padding: 10px;
}
.site-content .entry-header .entry-title > a, .home-post-latest .post .entry-header .entry-title > a{
	color: white !important;
}

/*
****************************************************************************************
3- PAGE TABLEAUX
****************************************************************************************
*/
.bluebar tr:first-child{
    background-color: #5ca2df;
	color:white;
	font-weight: bold;
}

tr:nth-child(even){background-color: #f2f2f2;}

tr:hover {background-color: #ddd;}

td{
	padding-top: 12px !important;
	padding-bottom: 12px !important;
}

/*
****************************************************************************************
4- PAGE ACCESS
****************************************************************************************
*/
iframe{
	width: 100%;
}

/*
****************************************************************************************
5- ARTICLES
****************************************************************************************
*/
.entry-author{
	color: #737f85;
	font-size: 13px;
	letter-spacing: 0.5px;
}

.entry-author i{
	color: #abb6bc;
	padding-right: 8px;
}

/*pour centrer verticalement du texte accolé à une image ==> cf bloc colonnes */
.center-vertical{
	align-self : center;
}

/*
****************************************************************************************
6- FOOTER
****************************************************************************************
*/
/*centrage*/
.footer-sidebar .site-info .row div{
	width:100%;
	text-align:center;
}

/*Widgets*/
.footer-sidebar .row:first-child .widget{
	padding-bottom: 20px !important;
}

/*Ajuster padding-bottom*/
.footer-sidebar .container{
	padding-bottom:55px;
}

/*Couleur texte widgets*/
.footer-sidebar>.container, .footer-sidebar>.container p{
	color: #d5dbde;
}

/*
****************************************************************************************
7- PAGES Les ateliers et Les stages
****************************************************************************************
*/
.atelier-pg img{
	transition-duration: 1s;
}

.atelier-pg img:hover{
	transform:scale(0.95);
	-webkit-transform:scale(0.95);
}

.atelier-pg h5{
	padding-top:10px; 
	padding-bottom:10px;
	background-color:#d2d0c7;
}

/*
****************************************************************************************
8- PAGES AUTRES PAGE D'ACCUEIL
****************************************************************************************
*/
/*en-tête des pages sauf page d'accueil*/
.page-header{
	background-color: #222629 !important; 
	background-image: linear-gradient(to bottom, #222629, #2e3337) !important;
}

.page-header .page-title h2, .page-header .page-breadcrumb > li{
	color:white;
}

.page-header .page-title p{
	color:#d5dbde;
}

/*page Actus*/
/*img illustration de l'article*/
a.img-post img{
	max-height: 200px;
	width: auto;
}

/*
****************************************************************************************
9- MEDIA QUERIES
****************************************************************************************
*/
/*table stages*/
@media all and (max-width: 480px){
	/*tableaux*/
	.bluebar a, .bluebar td{
			font-size: 0.8em;
	}
	/*disparition légende du slider en page accueil*/
	.slides .slide-caption{
		display: none;
	}

	/*disparition vignette des news en une en page accueil*/
	.home-post-latest .post .post-thumbnail{
		display: none;
	}
}

@media all and (max-width: 340px){
	.bluebar th:nth-child(3n), .bluebar td:nth-child(3n){
		display: none;
	}
}

@media all and (max-width: 260px){
	.bluebar th:nth-child(4n), .bluebar td:nth-child(4n){
		display: none;
	}
}

/* Gestion de l'écart entre le menu principal et l'en-tête */
@media all and (max-width: 1100px){
	#main, .page-header{
		margin-top: 130px !important; /*bf:80px*/
	}
}

@media all and (min-width: 991px) and (max-width: 1024px){
	#main, .page-header{
		margin-top: 170px !important; /*bf:120px*/
	}
}

@media all and (max-width: 248px){
	#main, .page-header{
		margin-top: 200px !important; /*bf:150px*/
	}
}

/* Gestion de la taille du titre et du texte affichés dans l'en-tête */
@media all and (min-width: 960px) and (max-width: 1020px){
	.slide-caption h2 {
	    font-size: 20px !important;
	    line-height: 25px !important;
	    margin: 0 0 5px !important;
	}	
	.slide-caption p{
		font-size: 12px !important;
		line-height: 20px !important;
		margin: 0 0 7px !important;
	}
}

@media all and (min-width: 767px) and (max-width: 869px){
	.slide-caption h2 {
	    font-size: 15px !important;
	    line-height: 20px !important;
	    margin: 0 0 4px !important;
	}	
	.slide-caption p{
		font-size: 10px !important;
		line-height: 15px !important;
		margin: 0 0 5px !important;
	}
}

